Name:          libmanette
Version:       0.2.6
Release:       1mamba
Summary:       GObject game controller library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        https://download.gnome.org/sources/libmanette/0.2/libmanette-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 libmanette' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: scons

%description
libmanette offers painless access to game controllers, from any programming
language and with little dependencies.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Development
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmanette-0.2.so.*
%{_libdir}/girepository-1.0/Manette-0.2.typelib
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libmanette
%{_includedir}/libmanette/*.h
%{_libdir}/libmanette-0.2.so
%{_libdir}/pkgconfig/manette-0.2.pc
%{_datadir}/gir-1.0/Manette-0.2.gir
%{_datadir}/vala/vapi/manette-0.2.*
%doc NEWS README.md

%files tools
%defattr(-,root,root)
%{_bindir}/manette-test

%changelog
* Sun Mar 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1mamba
- package created using the webbuild interface
